package designer.admin;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/

import java.io.*;
public class DeleteTree 
{
	public final static String copyright =
		   "Licensed Materials - Property of IBM\n\r" +
		   "Product number: 5765-E63\n\r" +
		   "Copyright IBM Corp. 2001  All Rights Reserved.\n\r" +
		   "US Government Users Restricted Rights - use, duplication or\n\r" +
		   "disclosure restricted by GSA ADP Schedule Contract with IBM Corp.";
/**
 * Insert the method's description here.
 * Creation date: (18/05/01 10:58:21)
 * @param dir java.io.File
 * @exception java.io.IOException The exception description.
 */
private static void delete(File f) throws java.io.IOException
{
	//
	// If the file/directory does not exist, then nothing to do!
	//	
	if (!f.exists())
		return;
	//
	// If the file is a directory, then recursively delete everything in it
	//
	if (f.isDirectory())
		{
		String[] contents = f.list();
		for (int i = 0; i < contents.length; i++)
			delete(new File(f, contents[i]));
	}
	//
	// Now delete the file/directory itself.
	//
	System.out.println("Deleting " + f);
	f.delete();
}
/**
 * Starts the application.
 * @param args an array of command-line arguments
 */
public static void main(java.lang.String[] args)
{
	if (args.length == 0 || args[0].equals("?")|| args[0].equals("/?")|| args[0].equals("-?"))
		{System.err.println("DeleteTree");
	     System.err.println("==========");
	     System.err.println("This will recursively delete whole subdirectory trees");
	     System.err.println("or individual files");
	     System.err.println("");
	     System.err.println("Usage ...");
	     System.err.println("");
	     System.err.println("java jlt_utils.DeleteTree arg1 <arg2> <arg3> ....");
	     System.err.println("Where arg1 etc are the name of the subdirectory/ies to be deleted");
	     System.err.println("");
	     System.err.println("Wild cards are not allowed");
	     System.err.println("Read only files are deleted");
	     System.err.println("Be VERY CAREFUL with this command, as it can be highly destructive!");
	     System.err.println("");
	     System.err.println("Author Leigh Taylor, IBM Hursley, UK");
	     System.err.println("jltaylor@uk.ibm.com");
	     System.err.println(copyright);
	        
		}
	else
		for (int i = 0; i < args.length; i++)
			{
			try
				{
				delete(new File(args[i]));
			}
			catch (IOException ioe)
				{
				System.err.println("Exception while deleting " + args[i] + " : " + ioe);
				ioe.printStackTrace(System.err);
			}
		}
	// Insert code to start the application here.
}
}
