package designer.gui;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/

import designer.model.*;
//import java.awt.*;
import java.awt.Frame;
import java.awt.Choice;
import java.awt.Dialog;
import java.awt.Panel;
import java.awt.GridLayout;
import java.awt.BorderLayout;
import java.awt.Label;
import java.util.Vector;
import java.awt.event.ItemListener;
import java.awt.event.ItemEvent;

/**
 * Insert the type's description here.
 * Creation date: (11/04/2002 07:48:03)
 * @author: 
 */
public class StringSelectDialogue extends glyph.dialogues.RendererDialogue implements ItemListener {
	private final Choice 	choice 		= new Choice();
	private Vector strings;
/**
 * DetailsDialogue constructor comment.
 * @param parent java.awt.Frame
 * @param title java.lang.String
 */
public StringSelectDialogue(Dialog parent, String title, String label, Vector queues) {
	super(parent, title);
	_setup(label, queues);
	pack();
}
/**
 * DetailsDialogue constructor comment.
 * @param parent java.awt.Frame
 * @param title java.lang.String
 */
public StringSelectDialogue(Frame parent, String title, String label, Vector queues) {
	super(parent, title);
	_setup(label, queues);
	pack();
}
private final void _setup(String label, Vector strings) {
	this.strings = strings;
	Panel panel = new Panel();

		// 	set up the visual bits
	choice.addItemListener(this);
	choice.setEnabled(true);
	for (int i = 0; i < strings.size(); i++){
		choice.addItem(strings.elementAt(i).toString());
	}

	// arrange the visual bits
	panel.add(new Label(label));
	panel.add(choice);

	add(BorderLayout.CENTER, panel);
	add(BorderLayout.SOUTH, createOkCancelPanel());
	getOkButton().setEnabled(false);
}
	/**
	 * Invoked when an item has been selected or deselected.
	 * The code written for this method performs the operations
	 * that need to occur when an item is selected (or deselected).
	 */
public void itemStateChanged(ItemEvent e) {
	if (e.getSource() == choice) {
		getOkButton().setEnabled(e.getStateChange() == e.SELECTED);
	}
}
public final String selectedString() {
	return choice.getSelectedItem();
}
}
