package designer.gui;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/

import designer.model.*;
//import java.awt.*;
import java.awt.Frame;
import java.awt.Choice;
import java.awt.Dialog;
import java.awt.Panel;
import java.awt.GridLayout;
import java.awt.BorderLayout;
import java.awt.Label;
import java.util.Vector;
import java.awt.event.ItemListener;
import java.awt.event.ItemEvent;

/**
 * Insert the type's description here.
 * Creation date: (11/04/2002 07:48:03)
 * @author: 
 */
public class ViaConnectionDialogue extends glyph.dialogues.RendererDialogue implements ItemListener {
	private final Choice 	qmChoice 		= new Choice();
	private final Choice 	conChoice 		= new Choice();
/**
 * DetailsDialogue constructor comment.
 * @param parent java.awt.Frame
 * @param title java.lang.String
 */
public ViaConnectionDialogue(Dialog parent, Vector qmNames, Vector conNames) {
	super(parent, "Create via connection");
	_setup(qmNames, conNames);
	pack();
}
/**
 * DetailsDialogue constructor comment.
 * @param parent java.awt.Frame
 * @param title java.lang.String
 */
public ViaConnectionDialogue(Frame parent, Vector qmNames, Vector conNames) {
	super(parent, "Create via connection");
	_setup(qmNames, conNames);
	pack();
}
private final void _setup(Vector qmNames, Vector conNames) {
	Panel panel = new Panel(new GridLayout(2,2));

		// 	set up the visual bits
	qmChoice.addItemListener(this);
	qmChoice.setEnabled(true);
	for (int i = 0; i < qmNames.size(); i++){
		qmChoice.addItem(qmNames.elementAt(i).toString());
	}

	// arrange the visual bits
	panel.add(new Label("destinationQM"));
	panel.add(qmChoice);

	conChoice.addItemListener(this);
	conChoice.setEnabled(true);
	for (int i = 0; i < conNames.size(); i++){
		conChoice.addItem(conNames.elementAt(i).toString());
	}

	// arrange the visual bits
	panel.add(new Label("viaQM"));
	panel.add(conChoice);

	add(BorderLayout.CENTER, panel);
	add(BorderLayout.SOUTH, createOkCancelPanel());
	//getOkButton().setEnabled(false);
}
	/**
	 * Invoked when an item has been selected or deselected.
	 * The code written for this method performs the operations
	 * that need to occur when an item is selected (or deselected).
	 */
public void itemStateChanged(ItemEvent e) {
	boolean canOk = false;
	if (null != qmChoice.getSelectedItem() && null != conChoice.getSelectedItem()) {
		canOk = true;
	}
	getOkButton().setEnabled(canOk);
}
public final String selectedConnectionName() {
	return conChoice.getSelectedItem();
}
public final String selectedQMName() {
	return qmChoice.getSelectedItem();
}
}
