package designer.model;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/

/**
 * Insert the type's description here.
 * Creation date: (10/09/2001 07:17:56)
 * @author: 
 */
public class Attribute extends Model {
	private String value;
	private boolean changed = false;
	private boolean editable = false;
	private AttributedModel parent;
public Attribute(AttributedModel parent, String name, String value) {
	this.parent = parent;
	setName(name);
	this.value = value;
}
/**
 * return true if the receivers representation can be
 * detached from its parent by dragging.  Subclasses should
 * override to prevent detach.
 */
protected boolean canDetach() {
	return false;
}
public final void declareUpdated() {
	changed = false;
}
public String getDescription() {
	return getName() + "+" + value;
}
/**
 * Get the string representing the receiver in a gui
 */
public String getDisplayName() {
	return getName() +" = " + value;
}
/**
 * reply the model to which the receiver belongs
 */
protected final MQeModel getModel() {
	return parent.getModel();
}
public Model getParent() {
	return parent;
}
public final String getValue() {
	return value;
}
public final boolean isChanged() {
	return changed;
}
public boolean isEditable() {
	return editable;
}
public final void setEditable(boolean editable) {
	this.editable = editable;
}
public final void setValue(String value) {
    if (this.value != value) {
        changed = true;
        this.value = value;

        if (null != parent) {
            parent.setRequiresUpdate();
        }
    }
}
}
