package designer.model;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/

import java.awt.PopupMenu;
import java.awt.MenuItem;
import java.awt.event.ActionEvent;
/**
 * Insert the type's description here.
 * Creation date: (12/02/2002 19:09:03)
 * @author: 
 */
public class BridgeMessageRoute extends MessageRoute {
	private MQQueue destinationQueue;
	private MessageRouteDependancy destinationLine;
	private MessageRouteDependancy sourceLine;
/**
 * PushMessageRoute constructor comment.
 */
public BridgeMessageRoute(BridgeQueue sourceQueue, MQQueue destinationQueue) {
	super(sourceQueue);
	destinationLine = new MessageRouteDependancy(this, destinationQueue, null, false);
	sourceLine = new MessageRouteDependancy(this, sourceQueue, null, true);
	this.destinationQueue = destinationQueue;
}
public String[] getBody() {
    String[] body = super.getBody();
    if (null == body) {
		body = new String[]{getSourceQueue().getQueueName(),
						"@"+getSourceQueue().getQueueQueueManagerName()};
    }
    return body;
}
/**
 * return  a textual description of the receiver
 */
public String getExplanation() {
	StringBuffer buf = new StringBuffer();
	buf.append("This message route represents the potential flow of messages pushed from ");
	buf.append(source.getDescription());
	buf.append(" to ");
	buf.append(destinationQueue.getDescription());
	/*buf.append(".  It relies on the logical connection consisting of ");
	buf.append(connection.getDescription());
	buf.append(" and ");
	buf.append(listener.getDescription());*/
	buf.append(".");
	return buf.toString();
}
public String getHeader() {
	return "Push Message Route";
}
public java.awt.PopupMenu getMenu() {
    PopupMenu popup = super.getMenu();
    MenuItem menuItem = new MenuItem(MI_EDITPURPOSE);
    menuItem.addActionListener(this);
    popup.add(menuItem);
    
    if (getSourceQueue().getShowPurpose()) {
        menuItem = new MenuItem(MI_SHOWNAME);
        menuItem.addActionListener(this);
        popup.add(menuItem);
    } else { // we are showing name
        if (null != getSourceQueue().getPurpose()) {
            menuItem = new MenuItem(MI_SHOWPURPOSE);
            menuItem.addActionListener(this);
            popup.add(menuItem);
        }
    }

    return popup;
}
boolean isValid() {
	return super.isValid()
			/*&& sourceLine.isAttached()
			&& destinationLine.isAttached()*/;
}
}
