package designer.model;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/

/**
 * Insert the type's description here.
 * Creation date: (11/02/2002 19:56:01)
 * @author: 
 */
public class DefaultRelationship extends glyph.Line {
	private String[] labelTxt;
	private boolean isVisible = true;
/**
 * DefaultRelationship constructor comment.
 * @param src glyph.Node
 * @param dst glyph.Node
 */
public DefaultRelationship(glyph.Node src, glyph.Node dst, String txt) {
	super(src, dst);
	labelTxt = new String[]{txt};
}
/**
 * reply the body - the bit of text above the line in the box
 * reply null (or empy array) to show no body.
 * Each string in the array will apear on a separate line
 */
protected java.lang.String[] getBody() {
	return labelTxt;
}
/**
 * reply he symbol for the destination end of he line 
 * override to change symbol
 */
protected int getDestinationSymbol() {
	return SYMBOL_BLUNT_ARROW;
}
/**
 * reply the header - the bit of text above the line in the box
 * reply null to show no header
 */
protected String getHeader() {
	return null;
}
/**
 * reply the menu 
 * reply null for no menu
 */
protected java.awt.PopupMenu getMenu() {
	return null;
}
protected boolean isVisible() {
    boolean show = isVisible;
    if (isVisible) {
        // only bother if we are visible
        glyph.Node src = getSourceNode();
        if (null != src) {
            // only bother if we have a valid source node
            if (src.isAttached()) {
                // if source is attached to parent then suppress line
                show = false;
            } else {
                glyph.Node dst = getDestinationNode();
                if (null != dst) {
                    if (src.highestAttachedNode() == dst.highestAttachedNode()) {
                        show = false;
                    } else if (null != src.getParentNode()) {
	                    if (src.getParentNode().highestAttachedNode() == dst.highestAttachedNode()) {
		                    show = false;
	                    }
                    }
                }
            }
        }
    }
    return show;
}
void setVisible(boolean set) {
	isVisible = set;
}
}
