package designer.model;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/

public class QueueManagerAlias extends StateModel {
	private String value;
	private boolean changed = false;
	private boolean editable = false;
	private QueueManager parent;
public QueueManagerAlias(QueueManager parent, String name, String value) {
	this.parent = parent;
	setName(name);
	this.value = value;
}
/*
 * Reply parents administrator
 *
 */
protected final AdministrationInterface getAdministrator() {
	return parent.getAdministrator();
}
public String getDescription() {
	return getShortDescription()
		+ " defined on " + parent.getDescription();
}
/**
 * Get the string representing the receiver in a gui
 */
public String getDisplayName() {
	return getName() +" = " + value;
}
/**
 * return  an explanation of the receiver
 */
public String getExplanation() {
	StringBuffer buf = new StringBuffer();
	buf.append(getShortDescription());
	buf.append(" allows api calls on ");
	buf.append(parent.getShortDescription());
	buf.append(" to refer to queue manager called ");
	buf.append(value);
	buf.append(" as ");
	buf.append(getName());
	buf.append(".");
	return buf.toString();
}
/**
 * reply the model to which the receiver belongs
 */
protected final MQeModel getModel() {
	return parent.getModel();
}
public QueueManager getQueueManager() {
	return parent;
}
public String getType() {
	return "Queue Manager Alias";
}
public final String getValue() {
	return value;
}
public boolean isQueueManagerAlias() {
	return true;
}
/**
 * Called to request that the receiver removes itself
 * from model
 */
public void performDelete() {
	delete();
	parent.removeAlias(this);
	declareDeleted();
}
}
