package designer.model;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/

/**
 * Insert the type's description here.
 * Creation date: (18/02/2002 08:25:50)
 * @author: 
 */
public class SaFStep extends AbstractStep {
	AbstractStep pullStep;
	ResolutionLine pullLine;
/**
 * ResolutionStep constructor comment.
 * @param model designer.model.Model
 * @param putQMName java.lang.String
 * @param putQName java.lang.String
 */
protected SaFStep(Model model) {
	super(model);
}
void calculateLines() {
	super.calculateLines();
    if (null != pullLine) {
		pullLine.detach();
		pullLine = null;
	}
    // find next step that is detached, or is last step
    if (null != pullStep) {
        AbstractStep lineTo = pullStep;
        boolean keepLooking = true;
        while (keepLooking) {
            if (lineTo.model.isAttached()) {
                AbstractStep oneAfter = lineTo.nextStep;
                if (null == oneAfter) {
                    // line to is the last one, so we can stop looking
                    keepLooking = false;
                } else {
                    // lineTo is attached, and has a following step, so
                    // examne the following step
                    lineTo = oneAfter;
                }
            } else {
                // lineTo is detached, we can stop looking
                keepLooking = false;
            }
        }

        if (null != lineTo) {
            String label = putQName + "@" + putQMName;
            pullLine = new ResolutionLine(this.model, lineTo.model, label, false, true);
            lineTo.calculateLines();
        }
    }
}
void detach() {
	super.detach();
	if (null != pullLine) {
		pullLine.detach();
	}
	if (null != pullStep) {
		pullStep.detach();
	}
}
protected void getDescription(StringBuffer buf) {
	super.getDescription(buf);
	if (null != pullStep) {
		buf.append(pullStep.model.getDescription());
		buf.append("[");
		buf.append(pullStep.putQName);
		buf.append("@");
		buf.append(pullStep.putQMName);
		buf.append("]\n");
		pullStep.getDescription(buf);
	}
}
/**
 * create a trailing step, or return the current one if appropriate
 */
protected void setPullStep(PullStep step) {
    if (null != pullLine) {
		pullLine.detach();
		pullLine = null;
	}
	this.pullStep = step;
	//String label = pullStep.putQName+"@"+ pullStep.putQMName;
	//pullLine = new ResolutionLine(this.model, pullStep.model, label, false, true);
	//System.out.println(pullStep.model.getDescription() + "[" + label+ "]");
}
void setVisible(boolean set) {
	super.setVisible(set);
	if (null != pullLine) {
		pullLine.setVisible(set);
	}
	if (null != pullStep) {
		pullStep.setVisible(set);
	}
}
}
