package glyph.dialogues;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/

import java.awt.*;
import glyph.View;

public class ChooseFont extends RendererDialogue {
	private static final String APPLY = "Apply";
	private static final String CLOSE = "Close";
	
	private final Choice font = new Choice();
	private final Choice size = new Choice();
	private View view ;
/**
 * Splash constructor comment.
 * @param parent java.awt.Frame
 * @param title java.lang.String
 */
public ChooseFont(Frame parent, View view) {
	super(parent, "Select Font");
	this.view = view;
	setLayout(new GridLayout(3,2));
	
	
	font.add("Serif");
	font.add("SansSerif");
	font.add("Monospaced");
	font.add("DialogInput");
	font.add("Dialog");
	font.add("Helvetica");
	font.select("Dialog");
	
	size.add("8");
	size.add("9");
	size.add("10");
	size.add("11");
	size.add("12");
	size.select("12");

	Font oldFont = view.getFont();
	font.select(oldFont.getName());
	size.select(Integer.toString(oldFont.getSize()));
		
	add(new Label("Font"));
	add(font);
	add(new Label("Size"));
	add(size);

	Button b = new Button(APPLY);
	b.addActionListener(this);
	add(b);
	b = new Button(CLOSE);
	b.addActionListener(this);
	add(b);
	setSize(300, 100);
}
public void actionPerformed(java.awt.event.ActionEvent e) {
	String cmd = e.getActionCommand();
	if (APPLY.equals(cmd)) {
		Font newFont = new Font(font.getSelectedItem(), 0, 
								Integer.parseInt(size.getSelectedItem()));
		view.setFont(newFont);
	} else if (CLOSE.equals(cmd)){
		setVisible(false);
	}
}
}
