package glyph.dialogues;

/*------------------------------------------------------------------------------
 * Licensed Materials - Property of IBM                                        
 *  "Restricted Materials of IBM"                                               
 *  WebSphere MQ Everyplace for Multiplatforms: MQeDesigner                                                                    
 *                                                                              
 *  (C) Copyright IBM Corp. 2002  All Rights Reserved.                    
 *                                                                              
 *  US Government Users Restricted Rights - Use, duplication or                 
 *  disclosure restricted by GSA ADP Schedule Contract with                     
 *  IBM Corp.                                                                   
 *------------------------------------------------------------------------------*/

import java.awt.*;
import java.awt.event.*;
import java.awt.*;
public abstract class RendererDialogue extends Dialog  implements ActionListener, WindowListener {
	private static final String OK = "Ok";
	private static final String CANCEL = "Cancel";
	private boolean okPressed = false;
	private Button okButton;
	private Button cancelButton;
/**
 * EditDialogue constructor comment.
 * @param parent java.awt.Frame
 * @param title java.lang.String
 */
public RendererDialogue(Dialog parent, String title) {
	this(parent, title, true);
}
/**
 * EditDialogue constructor comment.
 * @param parent java.awt.Frame
 * @param title java.lang.String
 */
public RendererDialogue(Dialog parent, String title, boolean modal) {
	super(parent, title, modal);
	addWindowListener(this);
}
/**
 * EditDialogue constructor comment.
 * @param parent java.awt.Frame
 * @param title java.lang.String
 */
public RendererDialogue(Frame parent, String title) {
	this(parent, title, true);
}
/**
 * EditDialogue constructor comment.
 * @param parent java.awt.Frame
 * @param title java.lang.String
 */
public RendererDialogue(Frame parent, String title, boolean modal) {
	super(parent, title, modal);
	addWindowListener(this);
}
public void actionPerformed(ActionEvent e) {
	String cmd = e.getActionCommand();
	if (OK.equals(cmd)) {
		okEvent();
	} else if (CANCEL.equals(cmd)){
		escapeEvent();
	}
}
/**
 * AddQmDialogue constructor comment.
 * @param parent java.awt.Frame
 */
public final Panel createOkCancelPanel() {
	Panel buttonPanel = new Panel(new FlowLayout(FlowLayout.CENTER));
	okButton = new Button(OK);
	okButton.addActionListener(this);
	buttonPanel.add(okButton);
	cancelButton = new Button(CANCEL);
	cancelButton.addActionListener(this);
	buttonPanel.add(cancelButton);
	return buttonPanel;
}
/**
 * AddQmDialogue constructor comment.
 * @param parent java.awt.Frame
 */
public final Panel createOkPanel() {
	Panel buttonPanel = new Panel(new FlowLayout(FlowLayout.CENTER));
	okButton = new Button(OK);
	okButton.addActionListener(this);
	buttonPanel.add(okButton);
	return buttonPanel;
}
public void escapeEvent() {
	okPressed = false;
	setVisible(false);
}
public final Button getCancelButton() {
	return cancelButton;
}
public final Button getOkButton() {
	return okButton;
}
public void okEvent() {
	okPressed = true;
	setVisible(false);
}
public boolean okPressed() {
	return okPressed;
}
public void positionCentrally() {
	Rectangle thisRect = getBounds();
	Rectangle parentRect = getParent().getBounds();
	int xMargin = (parentRect.width - thisRect.width) / 2;
	int yMargin = (parentRect.height - thisRect.height) / 2;
	thisRect.x = parentRect.x + xMargin;
	thisRect.y = parentRect.y + yMargin;
	if (thisRect.x < 0) {
		thisRect.x = 0;
	}
	if (thisRect.y < 0) {
		thisRect.y = 0;
	}
	setBounds(thisRect);
}
protected final void setOkEnabled(boolean enabled) {
	if (null != okButton) {
		okButton.setEnabled(enabled);
	}
}
public void show() {
	positionCentrally();
	super.show();
}
/**
 * windowActivated method comment.
 */
public void windowActivated(java.awt.event.WindowEvent e) {
}
/**
 * windowClosed method comment.
 */
public void windowClosed(java.awt.event.WindowEvent e) {
}
/**
 * windowClosing method comment.
 */
public void windowClosing(java.awt.event.WindowEvent e) {
	setVisible(false);
}
/**
 * windowDeactivated method comment.
 */
public void windowDeactivated(java.awt.event.WindowEvent e) {
}
/**
 * windowDeiconified method comment.
 */
public void windowDeiconified(java.awt.event.WindowEvent e) {
}
/**
 * windowIconified method comment.
 */
public void windowIconified(java.awt.event.WindowEvent e) {
}
/**
 * windowOpened method comment.
 */
public void windowOpened(java.awt.event.WindowEvent e) {
}
}
